import { MaxWidthProps, MarginProps, PaddingProps, WidthProps, MinHeightProps, Prop } from '@modulz/radix-system';
declare type Variants = 'normal' | 'shadow';
declare type MenuProps = MarginProps & PaddingProps & WidthProps & MaxWidthProps & {
    variant?: Prop<Variants>;
};
export declare const Menu: import("styled-components").StyledComponent<"nav", any, MenuProps, never>;
declare type MenuItemProps = PaddingProps & MinHeightProps & {
    variant?: 'normal' | 'active' | 'selected';
};
export declare const MenuItem: import("styled-components").StyledComponent<"button", any, MenuItemProps, never>;
export declare const MenuGroup: import("styled-components").StyledComponent<"div", any, {}, never>;
export {};
